Graphon Engine

Add file

POST/namespaces/{namespace}/collections/{collection}/files

Add a file, or replace the file at its path. 202 with the file and its index_file job. An upload source is 201, with upload.url to PUT the bytes to before upload.expires_at. A source that the cluster cannot read is 422 storage_unreachable.

View as Markdown

Authentication

This call requires a key. Samples use $GRAPHON_ENGINE_API_KEY.

See Authentication.

Path parameters

namespace

string

No description provided.

collection

string

No description provided.

Headers

Idempotency-Key

string

No description provided.

Request body

metadata

object

No description provided.

path

string

No description provided.

source

FileSourceBody

No description provided.

Responses

  • 201
  • 202
  • 400
  • 401
  • 403
  • 404
  • 409
  • 413
  • 500
  • 503
Was this page helpful?